Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.webcommon30
Class WelcomeFileListTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.webcommon30.WelcomeFileListTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, WelcomeFileListType<T>

    public class WelcomeFileListTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, WelcomeFileListType<T>

This class implements the `welcome-file-listType` xsd type

Original Documentation:

The welcome-file-list contains an ordered list of welcome
files elements.
Used in: web-app

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`WelcomeFileListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`WelcomeFileListTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getWelcomeFileList()` Returns all `welcome-file` elements
`WelcomeFileListType<T>` | `removeAllWelcomeFile()` Removes the `welcome-file` element
`WelcomeFileListType<T>` | `setWelcomeFile(java.lang.String welcomeFile)` Creates a new `welcome-file` element
`WelcomeFileListType<T>` | `setWelcomeFileList(java.lang.String... values)` Creates for all String objects representing `welcome-file` elements, a new `welcome-file` element
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WelcomeFileListTypeImpl

    public WelcomeFileListTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### WelcomeFileListTypeImpl

    public WelcomeFileListTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setWelcomeFile

    public WelcomeFileListType<T> setWelcomeFile(java.lang.String welcomeFile)

  Creates a new `welcome-file` element

  Specified by:
    `setWelcomeFile` in interface `WelcomeFileListType<T>`
  Returns:
    the current instance of `WelcomeFileListType`

### setWelcomeFileList

    public WelcomeFileListType<T> setWelcomeFileList(java.lang.String... values)

  Creates for all String objects representing `welcome-file` elements, a new `welcome-file` element

  Specified by:
    `setWelcomeFileList` in interface `WelcomeFileListType<T>`
  Parameters:
    `list` - of `welcome-file` objects
  Returns:
    the current instance of `WelcomeFileListType`

### removeAllWelcomeFile

    public WelcomeFileListType<T> removeAllWelcomeFile()

  Removes the `welcome-file` element

  Specified by:
    `removeAllWelcomeFile` in interface `WelcomeFileListType<T>`
  Returns:
    the current instance of `WelcomeFileListType`

### getWelcomeFileList

    public java.util.List<java.lang.String> getWelcomeFileList()

  Returns all `welcome-file` elements

  Specified by:
    `getWelcomeFileList` in interface `WelcomeFileListType<T>`
  Returns:
    list of `welcome-file`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD